> ## Documentation Index
> Fetch the complete documentation index at: https://bunny.net/docs/llms.txt
> Use this file to discover all available pages before exploring further.
# Trigger a background scan for pre-existing DNS records. Can use ZoneId for existing zones or Domain for pre-zone creation scenarios.
## OpenAPI
````yaml https://core-api-public-docs.b-cdn.net/docs/v3/public.json post /dnszone/records/scan
openapi: 3.0.0
info:
title: bunny.net API
description: >-
Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content delivery platform that truly hops.") API. Everything that can be done with the control panel can also be achieved with our API documented on this page. To learn how to use the storage API, have a look at our storage API documentation
Third party API clients:
We currently do not maintain an official API library, but you can use one of the third party ones provided here:
https://github.com/codewithmark/bunnycdn (bunny.net PHP library, thanks to Code With Mark)
Note that third party clients are not maintained or developed by bunny.net so we unfortunately cannot offer support for them.
termsOfService: https://bunny.net/tos
contact:
name: bunny.net
url: https://docs.bunny.net
email: support@bunny.net
version: 1.0.0
servers:
- url: https://api.bunny.net
description: bunny.net API Server
security:
- AccessKey: []
tags:
- name: Stream Video Library
- name: User
- name: AuditLog
- name: Storage Zone
- name: Statistics
- name: Search
- name: Pull Zone
- name: Pricing
- name: Load Balancer
- name: DNS Zone
- name: DNSSEC
- name: Billing
- name: API Keys
- name: Affiliate
- name: Countries
- name: Purge
- name: Region
paths:
/dnszone/records/scan:
post:
tags:
- DNS Zone
summary: >-
Trigger a background scan for pre-existing DNS records. Can use ZoneId
for existing zones or Domain for pre-zone creation scenarios.
operationId: TriggerDnsZoneRecordScanEndpoint_TriggerScan
requestBody:
x-name: request
content:
application/json:
schema:
$ref: '#/components/schemas/TriggerDnsZoneRecordScanRequest'
required: true
x-position: 1
responses:
'200':
description: DNS record scan job triggered successfully
content:
application/json:
schema:
$ref: '#/components/schemas/DnsZoneRecordScanTriggerResponse'
'400':
description: >-
Invalid request - either ZoneId or Domain must be provided, but not
both
'401':
description: The request authorization failed
'404':
description: The DNS Zone with the requested ID does not exist
security:
- AccessKey:
- User
- UserApi
- SubuserAPIDns
- SubuserDns
- SubuserManage
- SubuserAPIManage
- ScopedApiKey
- bearer:
- User
- UserApi
- SubuserAPIDns
- SubuserDns
- SubuserManage
- SubuserAPIManage
- ScopedApiKey
components:
schemas:
TriggerDnsZoneRecordScanRequest:
type: object
additionalProperties: false
properties:
ZoneId:
type: integer
description: >-
The ID of the DNS Zone to scan. Either ZoneId or Domain must be
provided, but not both.
format: int64
nullable: true
Domain:
type: string
description: >-
The domain name to scan. Either ZoneId or Domain must be provided,
but not both. Can be used even before creating the DNS zone.
nullable: true
DnsZoneRecordScanTriggerResponse:
type: object
additionalProperties: false
properties:
JobId:
type: string
format: guid
Status:
description: |-
0 = Pending
1 = In Progress
2 = Completed
3 = Failed
oneOf:
- $ref: '#/components/schemas/DnsZoneScanJobStatus'
DnsZoneScanJobStatus:
type: integer
description: |-
0 = Pending
1 = In Progress
2 = Completed
3 = Failed
x-enumNames:
- Pending
- InProgress
- Completed
- Failed
enum:
- 0
- 1
- 2
- 3
securitySchemes:
AccessKey:
type: apiKey
description: API Access Key authorization header
name: AccessKey
in: header
bearer:
type: apiKey
description: Bearer token authorization header
name: Authorization
in: header
````
This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.